/*
* @Author: Rot
* @Date:   2017-06-10 00:11:56
* @Last Modified by:   Rot
* @Last Modified time: 2017-12-22 13:58:20
*/
html:not([none-style]):not(.none-style) {
    --ge-primary-color: hsl(203, 78%, 49%);
    --ge-primary-background-color: hsl(204, 33%, 97%);
    --ge-primary-text-color: hsla(0, 0%, 0%, 0.44);
    --ge-primary-text-dark-color: hsla(0, 0%, 0%, 0.6);
    --ge-primary-border-color: hsl(204, 25%, 92%);
    --ge-primary-button-color: hsl(203, 89%, 53%);
    --ge-primary-hover-color: hsl(204, 25%, 92%);
    --ge-model-color: hsl(0, 0%, 100%);
    --ge-model-item-color: hsla(0, 0%, 0%, 0.04);
    --ge-model-border-color: hsl(0, 0%, 93.3%);
    --ge-model-header-color: hsl(0, 0%, 93.3%);
    --ge-background-button-light-color: hsl(202, 70%, 95%);
    --ge-background-button-color: hsl(203, 76%, 59%);
    --ge-search-border-color: hsl(203, 84%, 95%);
    --ge-placeholder-color: hsl(60, 1%, 70%);
}
html:not([none-style]):not(.none-style) {
    --ge-primary-small-width: 462px;
    --ge-title-padding: 16px;
    --ge-main-large-width: 1706px; 
    --ge-main-medium-width: 1280px; 
    --ge-main-small-width: 1076px;
    --ge-small-content-width: 742px;
    --ge-medium-content-width: 1015px;
    --ge-article-search-width: 624px;
    --ge-user-width: 328px;
}
html:not([none-style]):not(.none-style) {
    --ge-text-font: "Segoe UI";
}
/* Scroll Bar  */
::-webkit-scrollbar { width: 8px;} 
::-webkit-scrollbar-track { background-color: white; } 
::-webkit-scrollbar-thumb { background-color: #d8dadc; } 
::-webkit-scrollbar-thumb:window-inactive {background-color: #d8dadc; } 

/* cyrillic-ext */
@font-face { font-family: 'Open Sans'; font-style: normal;font-weight: 400; src: local('Open Sans'), local('OpenSans'), url(../fonts/K88pR3goAWT7BTt32Z01mxJtnKITppOI_IvcXXDNrsc.woff2) format('woff2'); unicode-range: U+0460-052F, U+20B4, U+2DE0-2DFF, U+A640-A69F;}
/* cyrillic */
@font-face {font-family: 'Open Sans'; font-style: normal;font-weight: 400; src: local('Open Sans'), local('OpenSans'), url(../fonts/RjgO7rYTmqiVp7vzi-Q5URJtnKITppOI_IvcXXDNrsc.woff2) format('woff2');unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;}
/* greek-ext */
@font-face {font-family: 'Open Sans'; font-style: normal; font-weight: 400;src: local('Open Sans'), local('OpenSans'), url(../fonts/LWCjsQkB6EMdfHrEVqA1KRJtnKITppOI_IvcXXDNrsc.woff2) format('woff2'); unicode-range: U+1F00-1FFF;}
/* greek */
@font-face { font-family: 'Open Sans'; font-style: normal; font-weight: 400;src: local('Open Sans'), local('OpenSans'), url(../fonts/xozscpT2726on7jbcb_pAhJtnKITppOI_IvcXXDNrsc.woff2) format('woff2');unicode-range: U+0370-03FF;}
/* vietnamese */
@font-face {font-family: 'Open Sans'; font-style: normal; font-weight: 400;src: local('Open Sans'), local('OpenSans'), url(../fonts/59ZRklaO5bWGqF5A9baEERJtnKITppOI_IvcXXDNrsc.woff2) format('woff2'); unicode-range: U+0102-0103, U+1EA0-1EF9, U+20AB;}
/* latin-ext */
@font-face {font-family: 'Open Sans'; font-style: normal; font-weight: 400; src: local('Open Sans'), local('OpenSans'), url(../fonts/u-WUoqrET9fUeobQW7jkRRJtnKITppOI_IvcXXDNrsc.woff2) format('woff2');unicode-range: U+0100-024F, U+1E00-1EFF, U+20A0-20AB, U+20AD-20CF, U+2C60-2C7F, U+A720-A7FF;}
/* latin */
@font-face { font-family: 'Open Sans'; font-style: normal; font-weight: 400; src: local('Open Sans'), local('OpenSans'), url(../fonts/cJZKeOuBrn4kERxqtaUH3VtXRa8TVwTICgirnJhmVJw.woff2) format('woff2'); unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;}

html {
    font-family: Open Sans, Roboto, Arial, sans-serif;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

*, *:before, *:after {
    box-sizing: inherit;
    -moz-box-sizing: inherit;
    -webkit-box-sizing: inherit;
}

form { width: 100%; }

body {
    font-size: 0.9rem;
    margin: 0;
}
main { min-height: 624px; }

ge-real { display: block; }
.ge-header-height {
    height: 52px;
}
.ge-font-seui {
    font-family: var(--ge-text-font);
}
[disabled] { pointer-events: none; }
.ge-input {
    padding: 8px 16px;
    text-align: center;
    width: 100%;
    border-bottom: 1px solid #f5f8fa;
    -webkit-transition: border-bottom-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-bottom-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-bottom-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
.ge-input:focus {
    border-bottom-color: #1B95E0;
}
/* Float */

.ge-hide {
    visibility: hidden;
    display: none;
    opacity: 0;
}
.ge-left-24 {
    margin-left: 24px;
}
.ge-bottom-4 {
    margin-bottom: 4px;
}
.ge-bottom-12 {
    margin-bottom: 12px;
}  

.ge-border-top {
    border-top: 1px solid var(--ge-primary-border-color);
}
.ge-border-bottom {
    border-bottom: 1px solid var(--ge-primary-border-color);
}

.ge-animate-opacity {
    -webkit-animation: opac 1.4s;
    animation: opac 1.4s
}
@-webkit-keyframes opac {
    from {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

header .ge-left-18 {
    padding-left: 18px;
}

.ge-width-auto { margin: 0 auto; }
@media (min-width: 742px) {
    .ge-width-auto {
        max-width: var(--ge-main-small-width);
    }
}

@media (min-height: 630px) and (min-width: 1294px) {
    .ge-width-auto {
        max-width: var(--ge-main-medium-width);
    }
}

@media (min-height: 980px) and (min-width: 1720px) 
{
    .ge-width-auto {
        max-width: var(--ge-main-large-width);
    }
}

/**
 * Font
 */
.ge-size-48 { font-size: 48px; }
.ge-size-12 { font-size: 12px; }

/**
 * Padding
 */

.ge-padding-v4 {
    padding-top: 4px;
    padding-bottom: 4px;
}

/**
 * user
 */
ge-user .ge-name { color: var(--ge-primary-color); font-size: 12.8px; }
ge-user .ge-left-12 { padding-left: 12px;}
ge-user .ge-time { font-size: 12.5px; color: var(--ge-primary-text-color); font-family: "Segoe UI";}
ge-user img {
    border-radius: 100%;
}

.__img-cont { position: relative; overflow: hidden; }
.ge-bk-img.ge-blur { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }
.ge-bk-img.ge-hover { -webkit-transition: transform 2s;-o-transition: transform 2s;transition: transform 2s; -webkit-transform: scale(1.007); -ms-transform: scale(1.007); -o-transform: scale(1.007); transform: scale(1.007); }
.ge-bk-img.ge-hover:hover { -webkit-transform: scale(1.2);-ms-transform: scale(1.2);-o-transform: scale(1.2);transform: scale(1.2); }
.ge-bk-img { position: relative; background-repeat: no-repeat;; background-size: cover; background-position: center center;  }

.ge-avatar-radius {
    position: absolute;
    width: calc(100% + 10px); height: calc(100% + 10px); top: -5px; left: -5px;
    fill: #1B95E0;
}

/**
 * Color
 */
.ge-text-color { color: var(--ge-primary-text-color); transition: color 0.3s; -webkit-transition: .3s;}

/**
 * Button
 */
[role="textbox"] {
    outline: none;
    border: none;
}
.ge-fstyle { 
    overflow: hidden;
    height: 48px;
}

.ge-fstyle > div {
    padding-right: 16px;
    height: 52px;
    
}

.ge-fstyle .ge-button {
    display: block;
    color: rgba(0,0,0,.44);
    height: 52px;
    border-bottom: 4px solid #1B95E0;
    transition: height .15s ease-in-out;
    padding-top: 12px;
    padding-bottom: 8px;
    font-family: var(--ge-text-font);
}

.ge-fstyle:hover .ge-button, .ge-fstyle.ge-active .ge-button {
    color: #1B95E0;
    height: 48px;
    
}

.ge-full-line {
    position: absolute;
    left: 0;
    right: 0;
    border-bottom: 1px solid var(--ge-primary-border-color);
}

.ge-top-32 { margin-top: 32px; }
.ge-hoz-12 { padding-left: 12px; padding-right: 12px; }
.ge-small-content {
    max-width: var(--ge-small-content-width);
    margin: 0 auto;
}
.ge-medium-content {
    max-width: var(--ge-medium-content-width);
    margin: 0 auto;
}

footer { margin-top: 64px; }

.ge-text {
    font-weight: 400;
    position: relative;
}
.ge-user-options { display: block}
.ge-error { font-size: 204px; font-family: sans-serif; padding-right: 48px;}
.ge-error-mesaage { font-size: 77px; color: var(--ge-primary-text-color); padding-top: 84px; }
.ge-text-error { font-size: 16px; color: var(--ge-primary-text-color); margin-top: 6px;}
.ge-homepage { text-decoration: underline; }
.ge-error-bottom { position: absolute; bottom: 0; left: 0; right: 0;}
.ge-error-space { height: 486px; background-color: #fafafa; }
.ge-suggest-home { margin-top: 32px; }
.ge-error-top-30 { padding-top: 30px; }

.ge-button-user-options img { width: 35px; height: 35px; border-radius: 100%; }
.ge-user-model-width img { width: 40px; height: 40px; }
/**
 * User model
 */
model {
    position: absolute;
    display: none;
    z-index: 5;
}
model a { display: block; }
[model-user-options] {
    display: none;
    top: 48px;
    right: 0;
}
body > canvas { display: none; }

[model-user-options] .ge-width {
    max-width: 286px;
    max-height: 586px;

}

[model-user-options] model-header {
    padding: 16px;
}
[model-user-notifications] { top: 48px; left: -272px; }
[model-user-notifications] > .ge-width { width: 396px; }
[model-user-notifications] model-header h5 { padding: 10px 16px; }
.ge-notification-container { max-height: 492px; overflow-y: scroll; }
.ge-hoz-16 { padding-left: 16px; padding-right: 16px; }
.ge-image40 { width: 40px; height: 40px; }
.ge-image40 img { width: 100%; height: 100%; border-radius: 100%}
.ge-notification-text { word-break: break-word; padding-left: 16px;
    padding-right: 12px; }
.ge-notification-text a { display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden; }
.ge-notification-container li { padding-bottom: 12px; margin-top: 16px }
.ge-notification-container li:last-child { border-bottom: none; }
.ge-notification-detect { position: absolute; top: 0;left: 10px; display: none; }
.ge-notification-detect > div { width: 20px; height: 20px; border-radius: 100%; text-align: center; background-color: var(--ge-primary-color); color: white; }
.ge-notification-number { font-size: 0.9em; font-family: "Segoe UI"; position: relative;bottom: 1px; }
.ge-button-user-notifications { position: relative; z-index: 1; }

model .ge-width {
    width: 300px;
    background-color: var(--ge-model-color);
    border: 1px solid hsl(0, 0%, 77%);
    box-shadow: 0 0 15px rgba(0,0,0,.18);   
    display: flex;
    -ms-flex-direction: column;
    -webkit-flex-direction: column;
    flex-direction: column;
}
.ge-block { display: block; }
.ge-flex { display: flex; }
.ge-option-padding { min-height: 40px; padding-left: 16px; padding-right: 16px; }
.ge-user-option-icon { fill: hsl(0, 0%, 53.3%); width: 24px; height: 24px;}
.ge-user-options { padding-top: 8px; padding-bottom: 8px; border-bottom: 1px solid var(--ge-model-border-color);}
.ge-icon-space { width: 56px;}
.ge-username { color: initial; font-weight: 600; font-size: 17px; font-family: var(--ge-text-font); }
.ge-email { color: initial;  }
.ge-user-option .ge-left-8 { margin-left: 8px; }
.ge-bottom-4 { margin-bottom: 4px; }
.ge-bottom-4 + div { font-size: 12.8px; margin-left: 56px; }
.ge-max110 { max-width: 110px; }
footer .ge-button { padding: 8px 16px; display: block; }
.ge-footer-space {
    padding-bottom: 16px;
    padding-top: 4px;
}